gocr (0.52-6.1build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Dec 2025 22:14:00 +0000

gocr (0.52-6.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:18:04 +0000

gocr (0.52-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062114

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:34:16 +0000

gocr (0.52-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 0.48-1, 0.3.4-4, 0.2.7-2.
  * Apply multi-arch hints. + libpgm2asc0.52: Add Multi-Arch: same.

  [ Andrius Merkys ]
  * Build depend on libnetpbm-dev instead of libnetpbm11-dev (Closes: #1028899)
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Jan 2023 03:54:18 -0500

gocr (0.52-5) unstable; urgency=medium

  * Run build time tests.
  * Add autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Aug 2022 03:14:03 -0400

gocr (0.52-4) unstable; urgency=medium

  * New maintainer (Closes: #974153). Thanks Gürkan Myczko for your work!
  * Bump debhelper-compat (no changes).
  * Remove build depends on autotools-dev (already satisfied).
  * Provide shared library for libpgm2asc. (Closes: #962787, #1014337)
  * Rename gocr-dev to libpgm2asc-dev.
  * Provide config.h in libpgm2asc-dev. (Closes: #1014165)
  * Disable parallel builds as they sometimes fail.
  * Build using libnetpbm11-dev.
  * Clean up package dependencies.
  * Add watch file.
  * Rename debian/NEWS.Debian to debian/NEWS, fix syntax problems.

 -- Andrius Merkys <merkys@debian.org>  Tue, 23 Aug 2022 01:53:53 -0400

gocr (0.52-3) unstable; urgency=medium

  * debian/control: move the xli Depends to the right binary package.
    (Closes: #935291)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 02 Sep 2019 17:20:38 +0200

gocr (0.52-2) unstable; urgency=medium

  * debian/control: add xli to Depends. (LP: #364859)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Aug 2019 13:17:45 +0200

gocr (0.52-1) unstable; urgency=medium

  * New upstream version. (Closes: #743719, #877087, #293727)
  * Add myself as Uploaders. (Closes: #846818)
  * debian/patches: dropped them all.
  * debian/rules: update to install changelog. (Closes: #596858)
  * Patched upstream manual page to refer to right package. (Closes: #676856)
  * New binary package, gocr-dev. (Closes: #582575)
  * debian/copyright: made machine readable, updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 24 Jan 2019 13:20:02 +0100

gocr (0.49-2) unstable; urgency=low

  * Use tk instead of tk8.5 (Closes: Bug#725690)

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 04 Sep 2014 09:36:38 +0100

gocr (0.49-1) unstable; urgency=low

  * New upstream release.
  * Using dpkg-source --commit and quilt, Fixes: #643141
  * README.Debian moved to NEWS.DEbian, Fixes: #596855
  * Removed some confusing examples, Fixes: #596863

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 22 Nov 2011 13:09:35 +0000

gocr (0.48-1) unstable; urgency=low

  * New upstream version
  * Repackaged using a newer debhelper infrastructure
  * using debian/source/format 3.0 (quilt)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 19 Mar 2010 12:40:04 +0000

gocr (0.46-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pass --mandir to ./configure (Closes: #553095)

 -- David Paleino <dapal@debian.org>  Mon, 09 Nov 2009 22:40:04 +0100

gocr (0.46-2) unstable; urgency=low

  * Fixed /usr/man usage for manpages updating files from /usr/share/misc/config.{guess,sub}  (Closes: #505621)
  * added Debian revision number and orig file

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 13 Nov 2008 21:02:24 -0200

gocr (0.46) unstable; urgency=low

  * New upstream release
  * Fixed bug with space in filename (Closes: #316511,#433900)

 -- Cosimo Alfarano <kalfa@debian.org>  Sat, 08 Nov 2008 12:36:55 -0200

gocr (0.45-2) unstable; urgency=low

  * Fixed typos in manpages (Closes: #409580)
  * new upstream wishbug bug not previouly closed (Closes: #405957)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 18 Jul 2008 12:08:37 -0400

gocr (0.45-1) unstable; urgency=low

  * set Prority to optional
  * Closes: #402799

 -- Cosimo Alfarano <kalfa@debian.org>  Sat, 05 Jul 2008 04:46:28 -0400

gocr (0.45-0) unstable; urgency=low

  * New Version upload

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 04 Jul 2008 20:42:31 -0400

gocr (0.41-1) unstable; urgency=low

  * new upstream version
    Closes: #388217
  * fixed gnome-frontend (frontend/gnome/src/functions.c) string quoting
    (debian/patches/gnome-frontend-functions.c.patch_allow_spaces)
  * fixed gnome-frontend showing button
    (debian/patches/gnome-frontend-functions.c.patch_show_buttons)
  * applied debian/patches/gocr-0.41-pgm.patch from upstream
  * quoted dashes in gocr.1 man page
    Closes: #272590

 -- Cosimo Alfarano <kalfa@debian.org>  Thu,  9 Nov 2006 14:08:47 +0100

gocr (0.39-5) unstable; urgency=high

  * security fix for http://www.overflow.pl/adv/gocr.txt
    Closes: #305068
  * copied src/pnm.c from 0.40 and patched gocr.c
    according to upstream, it's the best way to backport the fix from 0.40

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 20 Apr 2005 00:12:48 +0200

gocr (0.39-4) unstable; urgency=low

  * recommends libjpeg-progs, bzip2, netpbm, transfig in control
    (see pnm.c for list of autoinvoked command)
    Closes: #272282

 -- Cosimo Alfarano <kalfa@debian.org>  Sun, 19 Sep 2004 23:07:05 +0200

gocr (0.39-3) unstable; urgency=low

  * apply patches by Nicolas Fran\347ois for gocr-gtk
    that fix a problem with opening file with spaces and opening two files
    Closes: #197827,#197814

 -- Cosimo Alfarano <kalfa@debian.org>  Mon, 26 Jul 2004 18:19:33 +0200

gocr (0.39-2) unstable; urgency=low

  * debian/control: added Suggests: gocr-doc to gocr
    closes: Bug#254827

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 15 Jul 2004 00:47:52 +0200

gocr (0.39-1) unstable; urgency=low

  * New upstream release
    closes: Bug#244223

 -- Cosimo Alfarano <kalfa@debian.org>  Sat, 17 Apr 2004 15:19:09 +0200

gocr (0.38-4) unstable; urgency=low

  * fixes the previous entry, that was upload by mistake without updating it
    :(
  * built against libnetpbm10 (Build-Depends updated)
    closes: Bug#211258

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 25 Mar 2004 22:27:14 +0100

gocr (0.38-3) unstable; urgency=low

  * libnetpbm10

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 25 Mar 2004 21:44:35 +0100

gocr (0.38-2) unstable; urgency=low

  * removed tk8.4-dev from Build-Depends, thanks to Florent Rougon
    closes: Bug#227533
  * suggesting xsane to goct-tk, since it can scan a document from GUI

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 23 Mar 2004 11:02:54 +0100

gocr (0.38-1) unstable; urgency=low

  * New Upstream Release

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 24 Dec 2003 19:37:25 +0100

gocr (0.37-3) unstable; urgency=low

  * debian/rules: ignore errorcode of find if CVS dir and some other files are
    not found during clean target execution
    closes: Bug#199933

 -- Cosimo Alfarano <kalfa@debian.org>  Fri,  4 Jul 2003 16:06:26 +0200

gocr (0.37-2) unstable; urgency=low

  * added autoconf in Build-Depends
    closes: Bug#199756
  * binary-arch target now depends on install target. it was forgot in some
    way
    closes: Bug#191633

 -- Cosimo Alfarano <kalfa@debian.org>  Thu,  3 Jul 2003 21:16:34 +0200

gocr (0.37-1) unstable; urgency=low

  * reuploading the old debian 0.3.7-1 version with the real upstream version
    fixed. it's 0.37!
  * changed deps of gocr-tk to respect current sid's tk version.
    (closes: Bug#194794)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 27 May 2003 15:19:14 +0200

gocr (0.3.7-1) unstable; urgency=low

  * New Upstream Version  (closes: #173595)
  * Installed new gocr man page from sources (closes: Bug#174182,Bug#151736)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 27 Dec 2002 19:29:24 +0100

gocr (0.3.4-10) unstable; urgency=low

  * fixed some typos in debian/control (closes: #142504,#142735)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 16 Apr 2002 14:07:04 +0200

gocr (0.3.4-9) unstable; urgency=low

  * fixed gtk-ocr segfault during setting (closes: Bug#136913)
    modified line are tagged "//KA"

 -- Cosimo Alfarano <kalfa@debian.org>  Tue,  5 Mar 2002 16:47:56 +0100

gocr (0.3.4-8) unstable; urgency=low

  *  arch-dep and arch-indep packages splitted in debian/rules

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 22 Feb 2002 19:18:53 +0100

gocr (0.3.4-7) unstable; urgency=low

  * fixed a type in Description (closes: Bug#125619)
  * added gsfonts and tk8.0-dev to Build-Depends: (closes: Bug#126284)

 -- Cosimo Alfarano <kalfa@debian.org>  Sun, 23 Dec 2001 22:55:20 +0100

gocr (0.3.4-6) unstable; urgency=low

  * fixed section of gocr-doc in debian/control (from graphic to doc)
  * replaced gv with gs to Build-Depends: (closes: Bug#116882)

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 24 Oct 2001 21:40:22 +0000

gocr (0.3.4-5) unstable; urgency=low

  * Completly rewritten all Descriptions (closes: Bug#116796)
  * patching frontend/gnome/src/function.c In saving file.
    s/+1/+2/ allocing memory for filename $HOME/.gtk_ocr (closes: Bug#116670)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 23 Oct 2001 22:38:30 +0000

gocr (0.3.4-4) unstable; urgency=low

  * patched frontend/gnome/src/functions.c (segfault)
  * removed all config.{status,cache} (debian/rules clean)
  * changed path to common-licenses in copyright file
  * patched exaple/Makefile clean targed (more file removed)

 -- Cosimo Alfarano <kalfa@debian.org>  Mon, 22 Oct 2001 21:35:43 +0000

gocr (0.3.4-3) unstable; urgency=low

  * controlled and fixed all Descriptions (closes: #101781)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 19 Oct 2001 17:09:37 +0200

gocr (0.3.4-2) unstable; urgency=low

  * orig.tgz created.... debian release 1 missing it

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 19 Oct 2001 00:25:03 +0000

gocr (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Patched examples/Makefile -> in target examples added text.ps font.ps
  * Patched frontend/Makefile -> in target all added $(MAKE) -C src all

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 18 Oct 2001 23:29:03 +0000

gocr (0.3.3-1) unstable; urgency=low

  * new upstream version (closes: #87979)
  * changed /usr/X11/bin/wish to /usr/bin/wish
  * changed $(CURDIR)/frontend/Makefile to compile gnome frontend.
    Now I can do make frontend from root dir.
  * changed path of frontend/gnome/mkinstalldirs in frontend/gnome/Makefile.in
    and frontend/gnome/src/Makefile.in, it pointed to a wrong dir

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 1 Aug 2001 01:12:23 +0100

gocr (0.3.2-1) unstable; urgency=low

  * new upstream version (never uploaded to ftp-master)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 30 Mar 2001 18:22:23 +0100

gocr (0.2.7-4) unstable; urgency=low

  * indented list items in debian/control description field (closes: #79478)

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Fri, 15 Dec 2000 15:35:12 +0100

gocr (0.2.7-3) unstable; urgency=low

  * Written an initial manpages gocr.1 gocr.tcl.1

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Wed,  6 Dec 2000 00:18:48 +0100

gocr (0.2.7-2) unstable; urgency=low

  * Changed wish dependece from Depend: to Recommends:

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Tue, 29 Aug 2000 22:20:00 +0200

gocr (0.2.7-1) unstable; urgency=low

  * Initial Release.

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Fri, 25 Aug 2000 00:21:56 +0200

Local variables:
mode: debian-changelog
End:
